import request from '@/utils/request'

// 查询历史名称信息列表
export function listName(query) {
  return request({
    url: '/basicData/xcrHistoryName/findByPage',
    method: 'get',
    params: query
  })
}

// 查询历史名称信息详细
export function getName(xhCodeId) {
  return request({
    url: '/basicData/xcrHistoryName/' + xhCodeId,
    method: 'get'
  })
}

// 新增历史名称信息
export function addName(data) {
  return request({
    url: '/basicData/xcrHistoryName',
    method: 'post',
    data: data
  })
}

// 修改历史名称信息
export function updateName(data) {
  return request({
    url: '/basicData/xcrHistoryName',
    method: 'put',
    data: data
  })
}

// 删除历史名称信息
export function delName(xhCodeId) {
  return request({
    url: '/basicData/xcrHistoryName/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delNameBatch(ids) {
  return request.post('/basicData/xcrHistoryName/delete',ids)
}
